
function seq_text = num2seq2( series, myquants )
%UNTITLED2 Summary of this function goes here
%   series  : given column of sequence
%   leng    : alphabet size
%   seq_text: converted
% this code conversts numbers to a sequence based on given alphabet size
% Oguz Akbilgic
% 20160428
 
%% bunda quantlar veriliyor
myalphabet='abcde123456789';
%n=size(series,1);
seq_text=repmat('a',1,size(series,1)); %% series of 'a'
 
myquants=[myquants max(series)+1];
 
if size(series,1)>1
    for i=size(myquants,2):-1:2
        seq_text(and(series<myquants(i),series>=myquants(i-1)))=myalphabet(i);
    end
end